#if !defined(AFX_BUILDFILEVIEW_H__C190919E_F4DC_4CC0_ACCE_E524E308B31B__INCLUDED_)
#define AFX_BUILDFILEVIEW_H__C190919E_F4DC_4CC0_ACCE_E524E308B31B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BuildFileView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBuildFileView view

#include "TreeCtrlEx.h"

class CBuildFileView : public CView
{
protected:
	CBuildFileView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CBuildFileView)

// Attributes
public:

// Operations
public:
	int AddItem(CFileNode *pNode,HTREEITEM hParent = TVI_ROOT);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBuildFileView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CBuildFileView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	CTreeCtrlEx m_wndTreeFiles;
	//{{AFX_MSG(CBuildFileView)
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BUILDFILEVIEW_H__C190919E_F4DC_4CC0_ACCE_E524E308B31B__INCLUDED_)
